Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\REST\Common\FieldTypeProcessor\DateProcessor Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Common\FieldTypeProcessor\DateProcessor:

## Public Member Functions
| preProcessFieldSettingsHash ($incomingSettingsHash)
  | {Perform manipulations on a received $incomingSettingsHash.This method is called by the REST input parsers to allow a field type to pre process the given $incomingSettingsHash before it is handled by (). The $incomingSettingsHash can be expected to conform to the rules that need to apply to hashes accepted by fieldSettingsFromHash(). The return value of this method replaces the $incomingSettingsHash. See also \eZ\Publish\Core\REST\Common\Input\FieldTypeParser Parameters
  mixed | $incomingSettingsHash |
Returns mixed Pre processed hash } More...
| postProcessFieldSettingsHash ($outgoingSettingsHash)
  | {Perform manipulations on a received $outgoingSettingsHash.This method is called by the REST output visitors to allow a field type to post process the given $outgoingSettingsHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingSettingsHash and must obey to the same rules as the original $outgoingSettingsHash. See also \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer Parameters
  mixed | $outgoingSettingsHash |
Returns mixed Post processed hash } More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor
| preProcessValueHash ($incomingValueHash)
| Perform manipulations on a received $incomingValueHash. More...
| postProcessValueHash ($outgoingValueHash)
| Perform manipulations on an a generated $outgoingValueHash. More...
| preProcessValidatorConfigurationHash ($incomingValidatorConfigurationHash)
| Perform manipulations on a received $incomingValidatorConfigurationHash. More...
| postProcessValidatorConfigurationHash ($outgoingValidatorConfigurationHash)
| Perform manipulations on a received $outgoingValidatorConfigurationHash. More...

## Detailed Description

Definition at line 12 of file DateProcessor.php.

## Member Function Documentation

## ◆ postProcessFieldSettingsHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\DateProcessor::postProcessFieldSettingsHash | ( |  | $outgoingSettingsHash | ) |

{Perform manipulations on a received $outgoingSettingsHash.This method is called by the REST output visitors to allow a field type to post process the given $outgoingSettingsHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingSettingsHash and must obey to the same rules as the original $outgoingSettingsHash.

See also
  \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer

Parameters

  mixed | $outgoingSettingsHash |

Returns
  mixed Post processed hash

}

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Definition at line 35 of file DateProcessor.php.

## ◆ preProcessFieldSettingsHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\DateProcessor::preProcessFieldSettingsHash | ( |  | $incomingSettingsHash | ) |

{Perform manipulations on a received $incomingSettingsHash.This method is called by the REST input parsers to allow a field type to pre process the given $incomingSettingsHash before it is handled by (). The $incomingSettingsHash can be expected to conform to the rules that need to apply to hashes accepted by fieldSettingsFromHash(). The return value of this method replaces the $incomingSettingsHash.

See also
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser

Parameters

  mixed | $incomingSettingsHash |

Returns
  mixed Pre processed hash

}

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Definition at line 17 of file DateProcessor.php.

The documentation for this class was generated from the following file:

- DateProcessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.